> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optareach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List leads in prospect list



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/platforms/{platform}/prospect-lists/{listId}/leads
openapi: 3.1.0
info:
  title: Optareach Public API
  version: 1.0.0
  description: >-
    Platform-first API surface for accounts, prospects, campaigns, inbox,
    tracked searches, AI rooms, jobs, workspaces, analytics, billing, profile,
    and knowledge bases.
servers:
  - url: /
    description: Current environment
security: []
tags:
  - name: Meta
    description: API metadata and discovery
  - name: Platforms
    description: Platform registry and capabilities
  - name: Accounts
    description: Connected sender accounts
  - name: Prospects
    description: Prospect lists and leads
  - name: Campaigns
    description: Campaign lifecycle and performance
  - name: Inbox
    description: Conversations and messages
  - name: TrackedSearches
    description: Mentions and tracked search streams
  - name: AI
    description: AI chat rooms and enrichment
  - name: Jobs
    description: Background jobs
  - name: Workspaces
    description: Workspace management
  - name: KnowledgeBases
    description: Knowledge base management
  - name: Analytics
    description: Global dashboard metrics
  - name: Billing
    description: Subscriptions and credits
  - name: Profile
    description: Current user profile
  - name: Tags
    description: Conversation tags
  - name: Notifications
    description: Notification feed
paths:
  /api/v1/platforms/{platform}/prospect-lists/{listId}/leads:
    get:
      tags:
        - Prospects
      summary: List leads in prospect list
      parameters:
        - $ref: '#/components/parameters/platform'
        - $ref: '#/components/parameters/listId'
      responses:
        '200':
          description: Leads page
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/Lead'
                      nextCursor:
                        type:
                          - string
                          - 'null'
                      total:
                        type: integer
                    required:
                      - items
                required:
                  - data
              example:
                data:
                  items:
                    - id: lead_jane_doe
                      fullName: Jane Doe
                      firstName: Jane
                      lastName: Doe
                      company: Acme
                      headline: Founder at Acme
                      profileUrl: https://linkedin.com/in/jane-doe
                      email: jane@acme.com
                      status: new
                  nextCursor: null
                  total: 1
components:
  parameters:
    platform:
      name: platform
      in: path
      required: true
      schema:
        type: string
    listId:
      name: listId
      in: path
      required: true
      schema:
        type: string
  schemas:
    Lead:
      type: object
      properties:
        id:
          type: string
        fullName:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        company:
          type: string
        headline:
          type: string
        profileUrl:
          type: string
          format: uri
        email:
          type:
            - string
            - 'null'
          format: email
        status:
          type: string
      required:
        - id
        - fullName

````